CSRF нападение в Spree

Дата публикации:
09.11.2010
Всего просмотров:
855
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
CVE-2010-3978
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Spree 0.x
Уязвимые версии: Spree версии до 0.11.2

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение и раскрыть пользователей.

URL производителя: http://spreecommerce.com/

Решение: Установите последнюю версию 0.11.2 с сайта производителя.

Ссылки: http://spreecommerce.com/blog/2010/11/02/json-hijacking-vulnerability/
http://www.conviso.com.br/json-hijacking-vulnerability/

или введите имя

CAPTCHA